Passer au contenu principal
GET
/api/v1/characters

Endpoint expérimental

Il s’agit d’un endpoint expérimental qui peut être sujet à modification.

Collection Postman

Pour des exemples supplémentaires, veuillez consulter cette collection Postman.

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Exemple:
isAdult
enum<string>

Filter by adult content flag

Options disponibles:
true,
false
Exemple:

"false"

isPro
enum<string>

Filter to only show characters using pro models

Options disponibles:
true,
false
Exemple:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

Options disponibles:
true,
false
Exemple:

"true"

limit
integer
défaut:50

Number of characters to return (max: 100)

Plage requise: 0 < x <= 100
Exemple:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
Exemple:
offset
integer | null
défaut:0

Number of characters to skip for pagination

Plage requise: x >= 0
Exemple:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
Exemple:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

Options disponibles:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
Exemple:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

Options disponibles:
asc,
desc
Exemple:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Exemple:

Réponse

OK

data
object[]
requis
object
enum<string>
requis
Options disponibles:
list